function getInfo()
  setNextLevel("./levels/labyrinth.lua")
end


function setGame()
  -- Music
  setMusic("./audio/c418-familiarfaces.mp3")
  -- Timer
  varTimeElapsed(120)
  -- Player 
  varPlayerX(16*1)
  varPlayerY(16*5)
  -- Gravity
  varGravityDir(2)
end


function setLevel()
  -- Temporary level matrix
  local lvl_w, lvl_h = 24, 10
  local lvl =
         {{0,0,4,1,1,4,1,1,1,1,1,4,0,0,0,0,0,0,0,0,0,0,0,0},
	  {0,0,4,0,0,0,0,0,1,0,0,0,4,4,4,1,1,1,4,4,4,4,4,0},
	  {0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4},
	  {0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4},
	  {1,1,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,4},
	  {1,0,0,0,0,1,0,0,4,0,0,1,1,1,1,4,4,4,1,1,1,0,1,0},
	  {1,1,1,1,1,1,4,4,4,4,4,1,0,0,0,0,0,0,0,1,0,0,1,0},
	  {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,1,0},
	  {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,b,1,0},
	  {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0}}
      
     
  -- Reset level
  initObject()
  
  -- Init objects using the matrix
  for i=1,lvl_w do
    for j=1,lvl_h do
      if lvl[j][i]>0 then
        createObjectAligned(16*(i-1),16*(j-1),0,0,lvl[j][i],16)
      end
    end
  end

  -- Init Checkpoints
        createObjectAligned(16*1,16*5,0,0,9,16)
        objectText("Okay let's go, Blue force is in the place !")
  
  -- Init Canons
		 createObjectAligned(16*2,16*3,0,0,f,16)
		 createObjectAligned(16*3,16*0,0,0,g,16)
		 createObjectAligned(16*4,16*0,0,0,g,16)
		 createObjectAligned(16*6,16*0,0,0,g,16)
		 createObjectAligned(16*7,16*0,0,0,g,16)
		 createObjectAligned(16*9,16*0,0,0,g,16)
		 createObjectAligned(16*10,16*0,0,0,g,16)
		 createObjectAligned(16*20,16*5,0,0,g,16)
		 createObjectAligned(16*22,16*4,0,0,h,16)
  
end
